summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorwchang kim <wchang.kim@samsung.com>2016-08-22 07:28:47 +0900
committerwchang kim <wchang.kim@samsung.com>2016-08-22 09:58:16 +0900
commit607ca16f972d4d6f69d274aca2e4db0a75f5543e (patch)
tree1c4995ca039be3dce341d5b82a5597c3221e8e03 /scripts
parent2e9473b3d964dfd7769c2a6c240d2648c99dacdc (diff)
downloadsystem-plugin-607ca16f972d4d6f69d274aca2e4db0a75f5543e.tar.gz
system-plugin-607ca16f972d4d6f69d274aca2e4db0a75f5543e.tar.bz2
system-plugin-607ca16f972d4d6f69d274aca2e4db0a75f5543e.zip
Changing the default value of lazy mount for idle booting. test_lazymount waits for mounting user parition and then call sd_notify because efl library calls sd_notify. These are temp codes for idle booting. Change-Id: I62670413fa220203f1a2975885ecbac9885e6ce4 Signed-off-by: Woochang Kim <wchang.kim@samsung.com>
Diffstat (limited to 'scripts')
-rw-r--r--scripts/mount-user.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/scripts/mount-user.sh b/scripts/mount-user.sh
index 34ca172..d761431 100644
--- a/scripts/mount-user.sh
+++ b/scripts/mount-user.sh
@@ -4,4 +4,12 @@ PATH=/bin:/usr/bin:/sbin:/usr/sbin
USER_DISK=`ls /dev/disk/by-partlabel/ | grep -i user`
USER_MNT=/opt/usr
+mount | grep "/opt/usr"
+
+if [ $? = "0" ]
+then
+touch /run/.unlock_mnt
+else
/usr/bin/mount PARTLABEL=$USER_DISK $USER_MNT
+touch /run/.unlock_mnt
+fi